Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509585 - SELinux is preventing systemd from 'create' accesses on the directory keithb.
Summary: SELinux is preventing systemd from 'create' accesses on the directory keithb.
Keywords:
Status: CLOSED DUPLICATE of bug 1517418
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:cd6e37b8fefaf20a04759efcb91...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-04 21:43 UTC by Keith Bennett
Modified: 2017-12-11 13:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-11 13:51:30 UTC


Attachments (Terms of Use)

Description Keith Bennett 2017-11-04 21:43:55 UTC
Description of problem:
SELinux is preventing systemd from 'create' accesses on the directory keithb.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that systemd should be allowed create access on the keithb directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'systemd' --raw | audit2allow -M my-systemd
# semodule -X 300 -i my-systemd.pp

Additional Information:
Source Context                system_u:system_r:init_t:s0
Target Context                unconfined_u:object_r:user_home_dir_t:s0
Target Objects                keithb [ dir ]
Source                        systemd
Source Path                   systemd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-225.6.fc25.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.9.9-200.fc25.x86_64 #1 SMP Thu
                              Feb 9 17:28:13 UTC 2017 x86_64 x86_64
Alert Count                   1
First Seen                    2017-02-19 14:42:47 CST
Last Seen                     2017-02-19 14:42:47 CST
Local ID                      4c53c36f-7b08-4eb6-8a05-2d18366af5fa

Raw Audit Messages
type=AVC msg=audit(1487536967.564:163): avc:  denied  { create } for  pid=1 comm="systemd" name="keithb" scontext=system_u:system_r:init_t:s0 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=dir permissive=0


Hash: systemd,init_t,user_home_dir_t,dir,create

Version-Release number of selected component:
selinux-policy-3.13.1-225.6.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.13.8-100.fc25.x86_64
type:           libreport

Comment 1 Fedora End Of Life 2017-11-16 18:34:41 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Lukas Vrabec 2017-12-11 13:51:30 UTC

*** This bug has been marked as a duplicate of bug 1517418 ***


Note You need to log in before you can comment on or make changes to this bug.